@font-face {
  font-family: 'bignoodle';
  src: url('../fonts/big_noodle_titling.ttf') format('truetype');
}

.carousel {
  position: relative;
  height: 380px;
  overflow: hidden;
  background-color: #4d2111;
  box-shadow: 0 0 15px rgba(61, 4, 0, 0.6);
}

.slides {
  display: flex;
  transition: transform 0.5s ease-in-out;
  width: 100%;
  height: 100%;
}

.slide {
  position: relative;
  min-width: 100%;

  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 0;
  z-index: 1;
}

.carousel-img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  z-index: 1;
  opacity: 0.35;
}

.carousel button {
  position: absolute;
  top: 0;
  width: 30%;
  height: 100%;
  /*background-color: rgba(224, 109, 41, 0.1);*/
  background-color: transparent;
  border: none;
  color: #4d2111;
  font-size: 2rem;
  cursor: pointer;
  /*transition: background-color 0.3s ease, opacity 0.3s ease;*/

  z-index: 10;
  display: flex;
  align-items: center;
  justify-content: center;
}

.carousel button:hover {
  background-color: rgba(224, 109, 41, 0.2);

}

.carousel #prev {
  left: 0;
  -webkit-mask-image: linear-gradient(90deg, black, transparent);
  mask-image: linear-gradient(90deg, black, transparent);
}

.carousel #next {
  right: 0;
  -webkit-mask-image: linear-gradient(270deg, black, transparent);
  mask-image: linear-gradient(270deg, black, transparent);
}


.content-box {
  min-width: 240px;
  max-width: 640px;
  margin: auto;
  padding: 1rem;
  position: relative;
  z-index: 2;
  height: 100%; 
}

.slide-inside {
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100%;
}

.carousel-title {
  font-size: 2.2rem;
  color: #f8ba57;
  font-family: 'bignoodle', Arial, sans-serif;
  text-align: center;
  margin-bottom: 0rem;
  text-shadow: 1px 1px 2px #000;
}

.middle-row {
  display: flex;
  align-items: center;
  gap: 2rem;
  height: 14em;
}

.logo-left {
  width: 280px;
  height: auto;
}

.slide h1{
  position: relative;
  z-index: 2;
  margin: 0;
  padding: 1rem;
  text-shadow: 1px 1px 2px #000;
  color: #f8ba57;
  font-family: 'bignoodle', Arial, sans-serif;
}
.slide p{
  height: 100%;
  position: relative;
  display: block;
  z-index: 2;
  margin: 0;
  padding-top: 15px;
  text-shadow: 1px 1px 2px #000;
  color: #f8ba57;
  font-family: 'bignoodle', Arial, sans-serif;
}

.description-text p {
  color: #fff3dc;
  font-size: 1rem;
  line-height: 1.4;
  font-family: Arial, sans-serif;
}

.footer-row {
  border-top: 1px ridge rgba(230, 133, 77, 0.2);
}
.footer-row p {
  font-family: Arial, sans-serif;
}

.comment-text {
  font-size: 0.75rem;
  color: #ffd29d;
  text-align: center;
  font-style: italic;
}
.progress-bar {
  position: absolute;
  bottom: 0;
  left: 0;
  height: 4px;
  width: 100%;
  background-color: rgba(255, 255, 255, 0.1);
  z-index: 5;
}

.progress-fill {
  height: 100%;
  width: 0%;
  background-color: #f8ba57;
  transition: width linear;
}



